Loading...
Searching...
No Matches
XrdXrootdGPFileInfo Class Reference

`#include <XrdXrootdGPFile.hh>`

Collaboration diagram for XrdXrootdGPFileInfo:

## Public Types

enum | Status { isPending = 0 , isCopying = 1 , isProving = 2 }

## Public Member Functions

| XrdXrootdGPFileInfo (XrdXrootdGPFAgent &gpf)
| ~XrdXrootdGPFileInfo ()
bool | Completed (const char *eMsg=0, int eNum=0)
enum XrdXrootdGPFileInfo::Status | Update (uint64_t xfrsz, Status stat)

## Public Attributes

const char * | cksType
| Checksum type or nil if none wanted.
const char * | cksValue
| Checksum value or nil if none wanted.
const char * | dst
| Destination specification (path or URL).
uint16_t | pingsec
| Seconds between ping call to Update().
const char * | src
| Source specification (path or URL).
const char * | srcCgi
| Source cgi or nil if none.
uint16_t | streams
| Number of parallel streams (0 -> default).

## Detailed Description

The XrdXrootdGFileInfo class contains the get/putFile() parameters and contains callback methods that indicate when the operation completes as well as for progress status updates.

Definition at line 52 of file XrdXrootdGPFile.hh.

## Member Enumeration Documentation

## Status

enum XrdXrootdGPFileInfo::Status

Supply status information to the client. This is normally done every Info::pingsec seconds.

Parameters

  xfrsz | - The number of bytes transmitted.
  stat | - One of Status indicating execution stage.

Returns
  true - Status sent to client.
  false - Client is no longer connected, status not sent.

Enumerator
isPending | Copy operation is pending.
isCopying | Copy operation in progress.
isProving | Copy operation verifiying checksum.

Definition at line 91 of file XrdXrootdGPFile.hh.

{isPending = 0,
isCopying = 1,
isProving = 2
}
XrdXrootdGPFileInfo::isPending
@ isPending
Copy operation is pending.
Definition XrdXrootdGPFile.hh:91
XrdXrootdGPFileInfo::isProving
@ isProving
Copy operation verifiying checksum.
Definition XrdXrootdGPFile.hh:93
XrdXrootdGPFileInfo::isCopying
@ isCopying
Copy operation in progress.
Definition XrdXrootdGPFile.hh:92

## Constructor & Destructor Documentation

## XrdXrootdGPFileInfo()

XrdXrootdGPFileInfo::XrdXrootdGPFileInfo | ( | XrdXrootdGPFAgent & | gpf | ) |

inline

Definition at line 102 of file XrdXrootdGPFile.hh.

: cksType(0), cksValue(0),
src(0), srcCgi(0), dst(0), dstCgi(0),
pingSec(0), streams(0),
gpfAgent(gpf) {}
XrdXrootdGPFileInfo::srcCgi
const char * srcCgi
Source cgi or nil if none.
Definition XrdXrootdGPFile.hh:59
XrdXrootdGPFileInfo::cksType
const char * cksType
Checksum type or nil if none wanted.
Definition XrdXrootdGPFile.hh:56
XrdXrootdGPFileInfo::streams
uint16_t streams
Number of parallel streams (0 -> default).
Definition XrdXrootdGPFile.hh:63
XrdXrootdGPFileInfo::src
const char * src
Source specification (path or URL).
Definition XrdXrootdGPFile.hh:58
XrdXrootdGPFileInfo::dst
const char * dst
Destination specification (path or URL).
Definition XrdXrootdGPFile.hh:60
XrdXrootdGPFileInfo::cksValue
const char * cksValue
Checksum value or nil if none wanted.
Definition XrdXrootdGPFile.hh:57

References cksType, cksValue, dst, src, srcCgi, and streams.

## ~XrdXrootdGPFileInfo()

XrdXrootdGPFileInfo::~XrdXrootdGPFileInfo | ( |  | ) |

inline

Definition at line 108 of file XrdXrootdGPFile.hh.

{}

## Member Function Documentation

## Completed()

bool XrdXrootdGPFileInfo::Completed | ( | const char * | eMsg = 0,
|  | int | eNum = 0 )

Indicate that an accepted get/putFile requtest has completed. This must be called at completion afterwhich this object must be deleted.

Parameters

  eMsg | - A text string describing the problem if in error. If no error was encounteredm a nil pointer should be passed.
  eNum | - The errno value corresponding to the error type. A value zero indicates that the copy successfully completed.

Returns
  true - Completion sent to client.
  false - Client is no longer connected, completion not sent.

References eMsg.

## Update()

enum XrdXrootdGPFileInfo::Status XrdXrootdGPFileInfo::Update | ( | uint64_t | xfrsz,
|  | Status | stat )

## Member Data Documentation

## cksType

const char* XrdXrootdGPFileInfo::cksType

Checksum type or nil if none wanted.

Definition at line 56 of file XrdXrootdGPFile.hh.

Referenced by XrdXrootdGPFileInfo().

## cksValue

const char* XrdXrootdGPFileInfo::cksValue

Checksum value or nil if none wanted.

Definition at line 57 of file XrdXrootdGPFile.hh.

Referenced by XrdXrootdGPFileInfo().

## dst

const char* XrdXrootdGPFileInfo::dst

Destination specification (path or URL).

Definition at line 60 of file XrdXrootdGPFile.hh.

Referenced by XrdXrootdGPFileInfo().

## pingsec

uint16_t XrdXrootdGPFileInfo::pingsec

Seconds between ping call to Update().

Definition at line 62 of file XrdXrootdGPFile.hh.

## src

const char* XrdXrootdGPFileInfo::src

Source specification (path or URL).

Definition at line 58 of file XrdXrootdGPFile.hh.

Referenced by XrdXrootdGPFileInfo().

## srcCgi

const char * XrdXrootdGPFileInfo::srcCgi

Source cgi or nil if none.

Destination cgi or nil if none.

Definition at line 59 of file XrdXrootdGPFile.hh.

Referenced by XrdXrootdGPFileInfo().

## streams

uint16_t XrdXrootdGPFileInfo::streams

Number of parallel streams (0 -> default).

Definition at line 63 of file XrdXrootdGPFile.hh.

Referenced by XrdXrootdGPFileInfo().

The documentation for this class was generated from the following file:

- XrdXrootdGPFile.hh